%global modulename	html5lib
%global with_python3 1

Name:		python-%{modulename}
Summary:	A python based HTML parser/tokenizer
Version:	0.95
Release:	1%{?dist}
Group:		Development/Libraries
License:	MIT
URL:		http://code.google.com/p/%{modulename}/

Source0:	http://html5lib.googlecode.com/files/%{modulename}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python2-devel

%if 1%{?with_python3}
BuildRequires:	python3-devel
BuildRequires:	python-tools
BuildRequires:	python3-setuptools
%endif


%description
A python based HTML parser/tokenizer based on the WHATWG HTML5 
specification for maximum compatibility with major desktop web browsers.

%if 0%{?with_python3}
%package -n python3-%{modulename}
Summary:	A python based HTML parser/tokenizer 
Group:		Development/Libraries 

%description -n python3-%{modulename}
A python based HTML parser/tokenizer based on the WHATWG HTML5 
specification for maximum compatibility with major desktop web browsers.
%endif


%prep
%setup -q -n %{modulename}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
2to3 --write --nobackups %{py3dir}
%endif

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%doc README
%{python_sitelib}/%{modulename}-*.egg-info
%{python_sitelib}/%{modulename}

%if 0%{?with_python3}
%files -n python3-%{modulename}
%doc README
%{python3_sitelib}/%{modulename}-*.egg-info
%{python3_sitelib}/%{modulename}
%endif 


%changelog
* Tue Feb 21 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.95-1
- Added python3 spec and updated new source

* Mon Jul 18 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.90-1
- Initial spec
